This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 846135 - [PATCH] please update gdm to new display manager logic
[PATCH] please update gdm to new display manager logic
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18DisplayManager
  Show dependency treegraph
 
Reported: 2012-08-06 19:14 EDT by Lennart Poettering
Modified: 2012-08-07 10:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:53:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for .spec file (32.61 KB, patch)
2012-08-06 19:14 EDT, Lennart Poettering
no flags Details | Diff
rebased patch (90.03 KB, patch)
2012-08-07 08:32 EDT, Lennart Poettering
no flags Details | Diff
the right patch file (2.24 KB, patch)
2012-08-07 08:34 EDT, Lennart Poettering
no flags Details | Diff

  None (edit)
Description Lennart Poettering 2012-08-06 19:14:51 EDT
Created attachment 602597 [details]
patch for .spec file

Please apply the following two upstream patches to gdm:

https://bugzilla.gnome.org/show_bug.cgi?id=681339
https://bugzilla.gnome.org/show_bug.cgi?id=681340

and the attached patch to the .spec file.

All three patches together should implement everything necessary for this:

https://fedoraproject.org/wiki/Features/DisplayManagerRework

(note that the .spec patch also includes the other two patches. Drop these please if they got merged upstream)
Comment 1 Lennart Poettering 2012-08-07 05:50:40 EDT
The two GNOME patches got merged now.
Comment 2 Lennart Poettering 2012-08-07 08:32:29 EDT
Created attachment 602733 [details]
rebased patch

Here's an updated patch that incorporates the changes made with gdm 3.5.5, i.e. taking benefit of the fact that the upstream changes are merged now.
Comment 3 Lennart Poettering 2012-08-07 08:34:02 EDT
Created attachment 602734 [details]
the right patch file

Ooops, attached the wrong file. So here's the rebased patch now.
Comment 4 Lennart Poettering 2012-08-07 10:53:43 EDT
OK, commited and built.

Note You need to log in before you can comment on or make changes to this bug.